4 abcdefghijklmnop ponmlkjihgfedcba
2 abc bca
2 abc cba
10 abc bca
10 abc cba
20 abcde edcba
10 a a
4 abejkcfghid jkebfghicda
13 abejkcfghid jkebfghicda
2 abcdefghijklmnopqrstuvwxyz zyxwvutsrqponmlkjihgfedcba
3 abcdefghijklmnopqrst tsrqponmlkjihgfedcba
2 abdehjtukwvicfnoglmprsqxyz dtujwvkhiebnoflrspxzyqmgca
4 abdehjtukwvicfnoglmprsqx dtujwvkhiebnoflrspxqmgca
4 abfghicjvwxyklmdnopqerstu fghibvwxyjklmcnopqdrstuea
2 edcbafghi abcdihgfe
10 edcbafghi abcdihgfe
20 a a
1 abc cba
2 abdglstmuhnvweioxypzcfjqkr stlumgvwnhdxyozpiebqjrkfca
6 abdnopqersftguvwxyzhcijklm nopqdrsetfuvwxyzghbijklmca
2 abceipqjrsfktudglvwmxhnyzo pqirsjetukfcvwlxmgyznohdba
3 abcdgpqhrisejtukvlwfmxynzo pqgrhsidtujvkwlexymznofcba
2 abcdefhjmpuqvwgiknrxsyzlot upvwqmjhfxryzsnktoligedcba
8 abfzghijklmcnopqdrsetuvwxy zfghijklmbnopqcrsdtuvwxyea
7 abijklmnocpqrstduvwexyfzgh ijklmnobpqrstcuvwdxyezfgha
3 abcfmnogpqrdhstuivjwekxlyz mnofpqrgcstuhviwjdxkyzleba
7 abijklmnocpqrstduvewxyfzgh ijklmnobpqrstcuvdwxyezfgha
3 abdhrsitjuvwekxlyzcfmngopq rshtiuvwjdxkyzlebmnfopqgca
2 abcdefhlrsimtnugjovwpxkqyz rslhtmunifvwoxpjyzqkgedcba
2 abcdfilqxmryzsegjntouvhkpw xqlyzrsmifdtnuvojgwpkhecba
8 abjklmnopcqrstudvwxyzefghi jklmnopbqrstucvwxyzdefghia
2 abdgkstluvcehmwxnyiozpfjqr stkuvlgdbwxmynhzopieqrjfca
5 abgstuhvwixjyckzlmdneopqfr stugvwhxiyjbzklmcndopqerfa
3 abdiqjrsektfluvmwxcgnyozhp qirsjdtkeuvlwxmfbynzogphca
5 abcdhuvwixjyzkelmnofpqrsgt uvwhxiyzjkdlmnoepqrsftgcba
10 abijklmnopcqrstuvwxydzefgh ijklmnopbqrstuvwxyczdefgha
3 abekylzfmnocgpqrdhstiujvwx ykzlemnofbpqrgcsthuivwxjda
10 abjkclmnopqrstudvwexyfzghi jkblmnopqrstucvwdxyezfghia
9 abjcklmndoepqrstuvfwxyzghi jbklmncodpqrstuvewxyzfghia
7 abeyzfghijkclmnopqdrstuvwx yzefghijkblmnopqcrstuvwxda
4 abfncgopqhrdistujvwxyekzlm nfbopqgrhcstuivwxyjdzklmea
4 abemnopfqrgstchuvwxdiyzjkl mnopeqrfstgbuvwxhcyzijklda
10 abfghijklmnocpqrstuvdwxyez fghijklmnobpqrstuvcwxydzea
4 abfstguvwhxyizcjkldmnopeqr stfuvwgxyhzibjklcmnopdqrea
6 abdmneopqrsftuvwxygzchijkl mndopqrsetuvwxyfzgbhijklca
5 abepqrsftuvgwxyhzicjkldmno pqrsetuvfwxygzhibjklcmnoda
4 abdizjkelmfnopqcgrstuhvwxy zijkdlmenopqfbrstugvwxyhca
7 abijklmcnodpqrsteufvgwxyzh ijklmbnocpqrstduevfwxyzgha
9 abghijklmcnodpqrsteuvwxyzf ghijklmbnocpqrstduvwxyzefa
7 abdjceklmfnopqrstguvwxyzhi jdbklmenopqrstfuvwxyzghica
2 abdhoxipyzqejrsktcflugmvnw xohyzpqidrsjtkebulfvmwngca
4 abdgocehpqrisjtkuflvmwnxyz ogdbpqrhsitjukevlwmxyznfca
4 abftuvwgxyzhicjkldmnoepqrs tuvwfxyzghibjklcmnodpqrsea
6 abhwxyzijcklmdnopeqrfstguv wxyzhijbklmcnopdqrestfuvga
8 abfyzcghidjklmnopeqrstuvwx yzfbghicjklmnopdqrstuvwxea
5 abenopqfrgstuvwhxiyzcjdklm nopqerfstuvwgxhyzibjcklmda
6 abhijkclmndopqerstfuvwxgyz hijkblmncopqdrsteuvwxfyzga
4 abcfogpqdhrstiuvjwxykzelmn ofpqgcrsthuviwxyjzkdlmneba
4 abfrscgtuvwhxyzijdklmneopq rsfbtuvwgxyzhijcklmndopqea
4 abekzcflmngopdhqrstiuvwjxy zkeblmnfopgcqrsthuvwixyjda
7 abeopqrstucfvwxyzghijkdlmn opqrstuebvwxyzfghijkclmnda
6 abdmnopqrestfuvwxygzhicjkl mnopqrdsteuvwxyfzghibjklca
10 abezfghijcklmnopqrdstuvwxy zefghijbklmnopqrcstuvwxyda
2 abdfioyzpjqgkrsltucehmvnwx yzopiqjfrsktulgdbvmwxnheca
8 abevwxyzfghicjklmnodpqrstu vwxyzefghibjklmnocpqrstuda
2 abdgjoxpyehkqzrlscfimtunvw xoypjgdzqrkslhebtumvwnifca
3 abcdgkqrsehltfimuvnwxoyzjp qrskgdtlheuvmwxnyzoipjfcba
3 abcfmnodgpqhrsituejvwkxylz mnofcpqgrshtuidvwjxykzleba
2 abdfjrsktglumvwcehnxoyzipq rsjtkfulvwmgdbxnyzohpqieca
6 abepqrstcfugvhwixyzdjklmno pqrstebufvgwhxyzicjklmnoda
5 abftuvgwxhyzcijkldmnoepqrs tuvfwxgyzhbijklcmnodpqrsea
2 abdgkqzlrscehmtnuiovwfjpxy zqkrslgdbtmunhvwoiexypjfca
5 abceopqrfstguvwxyhzidjklmn opqrestfuvwxygzhicjklmndba
7 abfuvwxgyzhcijklmnodpqerst uvwxfyzghbijklmnocpqdrstea
8 abestuvwxyfzgchijklmnodpqr stuvwxyezfgbhijklmnocpqrda
8 abijklcmdnopqrstuevwxyfzgh ijklbmcnopqrstudvwxyezfgha
5 abeopqrsftuvwgxyzhicjdklmn opqrsetuvwfxyzghibjcklmnda
2 abdglrsmtuhnveiowjpxcfkqyz rsltumgvnhdwoixpjebyzqkfca
10 abcghijkldmnopqerstuvwxyzf ghijklcmnopqdrstuvwxyzefba
4 abelmfnogpchqirstdjuvwkxyz lmenofpgbqhrsticuvwjxyzkda
2 abdhoyeipzqjrcfksltugmvwnx yohdzpqirjebsktulfvwmxngca
9 abestfuvwxyzgchijklmnopdqr steuvwxyzfgbhijklmnopcqrda
5 abfstugvwxyzhijcklmndopeqr stufvwxyzghijbklmncopdqrea
4 abfrstguvwhxyzcijdklmenopq rstfuvwgxyzhbijcklmdnopqea
4 abdgpqrcehstuivwxyjzkflmno pqrgdbstuhvwxyizjkelmnofca
4 abcfnopgqrshtuvwixyzdjeklm nopfqrsgtuvwhxyzicjdklmeba
7 abhxyzcijklmndoepqfrstugvw xyzhbijklmncodpqerstufvwga
2 abdglvwmxcehnyozipqfjrsktu vwlxmgdbynzohpqiersjtukfca
6 abcdjklmnoepqfrstuvwgxyhzi jklmnodpqerstuvwfxygzhicba
4 abdiuvwjxyzkelfmnocgpqrsht uvwixyzjkdlemnofbpqrsgthca
3 abeiqrsjtkuvflwcgmxynzdhop qrsitjuvkewlfbxymzngcophda
5 abgstchuvdiwxjyzklemnofpqr stgbuvhcwxiyzjkldmnoepqrfa
9 abjklmnopqrcstuvdwxyezfghi jklmnopqrbstuvcwxydzefghia
2 abcegkqylrzshmtdfinuovwjpx yqkzrslgtmhecunvwoixpjfdba
7 abchijklmndopqrstuevwxyzfg hijklmncopqrstudvwxyzefgba
3 abeioxjpyzqkrflscgmtudhnvw xoiyzpqjrkeslfbtumgcvwnhda
8 abfghijcklmnopqdrstuvewxyz fghijbklmnopqcrstuvdwxyzea
8 abcijklmndopqrsteuvwxyzfgh ijklmncopqrstduvwxyzefghba
9 abhijcklmnopqrdsteuvwxyzfg hijbklmnopqrcstduvwxyzefga
7 abfvwxyzghicjkdlmneopqrstu vwxyzfghibjkclmndopqrstuea
10 abfghijklmncopqrstuvdwxyze fghijklmnbopqrstuvcwxyzdea
9 abfghijklmcnopqrstuvdwxyze fghijklmbnopqrstuvcwxyzdea
9 abghcijklmnodpqrstuevwxyzf ghbijklmnocpqrstudvwxyzefa
4 abejxyfkzlmngopqrchstdiuvw xyjezklmnfopqrgbsthcuvwida
2 abcehlsmtufinvwoxjpyzqdgkr sltumhevwnxoiyzpqjfcrkgdba
0
